<section class="main-container">
    <section class="action-btn">
        <app-logout-btn class="logout-btn"></app-logout-btn>
    </section>

<section class="doctorList-container">
    <app-nurse-nav-bar></app-nurse-nav-bar>
    <div class="doctor-table mat-elevation-z8"> 
        <mat-table #table  [dataSource]="dataSource" class="table">

            <ng-container matColumnDef="name">
                <mat-header-cell *matHeaderCellDef> Created At </mat-header-cell>
                <mat-cell *matCellDef="let element">{{element.createdAt}}</mat-cell>
            </ng-container> 

         <ng-container matColumnDef="status">
             <mat-header-cell *matHeaderCellDef> Status </mat-header-cell>
             <mat-cell *matCellDef="let element"> {{element.title}} </mat-cell>
         </ng-container>

         <ng-container matColumnDef="reminder">
            <mat-header-cell *matHeaderCellDef> Reminder </mat-header-cell>
            <mat-cell *matCellDef="let element"> <app-button (click)="sendReminder()">Remind</app-button> </mat-cell>
        </ng-container>

           <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
           <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
         </mat-table>
     </div>
</section>
</section>
